﻿using MySql.Data.MySqlClient;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Тест
{
    public partial class Admin1_1 : Form
    {
        public Admin1_1()
        {
            InitializeComponent();
            StartPosition = FormStartPosition.CenterScreen;

            textBox1.Text = "Название лекции";
            textBox1.ForeColor = Color.Gray;

            textBox2.Text = "Содержание лекции";
            textBox2.ForeColor = Color.Gray; 
        }

        private void closeButton_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        Point lastPoint;
        private void label1_MouseDown(object sender, MouseEventArgs e)
        {
            lastPoint = new Point(e.X, e.Y); /*движеется окно за кнопкой мыши*/
        }

        private void label1_MouseMove(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left) /*Высчитываются коорднаты перемемещения нажатой*/
            {                                    /* левой кнопки мыши*/
                this.Left += e.X - lastPoint.X;
                this.Top += e.Y - lastPoint.Y;
            }
        }

        private void panel1_MouseMove(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left) /*Высчитываются коорднаты перемемещения нажатой*/
            {                                    /* левой кнопки мыши*/
                this.Left += e.X - lastPoint.X;
                this.Top += e.Y - lastPoint.Y;
            }
        }

        private void panel1_MouseDown(object sender, MouseEventArgs e)
        {
            lastPoint = new Point(e.X, e.Y); /*движеется окно за кнопкой мыши*/
        }

        private void admin_nazad_button_Click(object sender, EventArgs e)
        {
            this.Hide();
            Admin1 gl = new Admin1();
            gl.Show();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            String tem = textBox1.Text; /*получаем тему*/
            String razd = textBox3.Text; /*получаем раздел*/

            if (textBox1.Text == "Название лекции")
            {
                MessageBox.Show("Добавьте название лекции");
                return;
            }

            if (check())
                return;

            DataBase db = new DataBase();

            DataTable table = new DataTable();

            MySqlDataAdapter adapter = new MySqlDataAdapter();
            MySqlCommand command = new MySqlCommand("INSERT INTO `темы` (`Название`, `Раздел`) VALUES(@tem, @razd)", db.getConnection());
            command.Parameters.Add("@tem", MySqlDbType.Text).Value = textBox1.Text;
            command.Parameters.Add("@razd", MySqlDbType.VarChar).Value = textBox3.Text;


            //adapter.SelectCommand = command; /*указываем какую команду выполнять*/
            //adapter.Fill(table);        /*записываем данные в таблицу table*/


            if (check1())
                return;

            String sod = textBox2.Text; /*получаем содержание*/
            String razd1 = razd; /*получаем раздел*/


            DataBase db1 = new DataBase();

            DataTable table1 = new DataTable();

            MySqlDataAdapter adapter1 = new MySqlDataAdapter();
                                                        //INSERT INTO `темы` (`id`, `Название`, `Раздел`) VALUES(NULL, 'GSHA', '1');
            MySqlCommand command1 = new MySqlCommand("INSERT INTO `лекции`(`Содержание`, `Раздел`) VALUES(@sod, @razd1)", db1.getConnection());
            command1.Parameters.Add("@sod", MySqlDbType.Text).Value = textBox2.Text;
            command1.Parameters.Add("@razd1", MySqlDbType.VarChar).Value = textBox3.Text;

            if (textBox2.Text == "Содержание лекции")
            {
                MessageBox.Show("Добавьте содержание лекции");
                return;
            }

            adapter.SelectCommand = command; /*указываем какую команду выполнять*/
            adapter.Fill(table);        /*записываем данные в таблицу table*/

            adapter1.SelectCommand = command1; /*указываем какую команду выполнять*/
            adapter1.Fill(table1);        /*записываем данные в таблицу table*/



            //db.openConnection();
            //db1.openConnection();
            //if (command.ExecuteNonQuery() == 1)
            //{
            //    if (command1.ExecuteNonQuery() == 1)
            //    {
            //        MessageBox.Show("Данные добавлены");
            //    }
            //}
            //else
            //{
            //    MessageBox.Show("Ошибка");
            //}
            //db.closeConnection();
            //db1.closeConnection();
        }

        private void textBox1_Enter(object sender, EventArgs e)
        {
            if (textBox1.Text == "Название лекции")
            {
                textBox1.Text = "";
                textBox1.ForeColor = Color.Black;
            }
        }

        private void textBox1_Leave(object sender, EventArgs e)
        {
            if (textBox1.Text == "")
            {
                textBox1.Text = "Название лекции";
                textBox1.ForeColor = Color.Gray;
            }
        }

        private void textBox2_Enter(object sender, EventArgs e)
        {
            if (textBox2.Text == "Содержание лекции")
            {
                textBox2.Text = "";
                textBox2.ForeColor = Color.Black;
            }
        }

        private void textBox2_Leave(object sender, EventArgs e)
        {
            if (textBox2.Text == "")
            {
                textBox2.Text = "Содержание лекции";
                textBox2.ForeColor = Color.Gray;
            }
        }

        public Boolean check() // проверка есть ли такая тема в бд
        {
            DataBase db = new DataBase();

            DataTable table = new DataTable();

            MySqlDataAdapter adapter = new MySqlDataAdapter();
            MySqlCommand command = new MySqlCommand("SELECT * FROM `темы` WHERE `Название` = @tem AND `Раздел` = @razd", db.getConnection());
            command.Parameters.Add("@tem", MySqlDbType.Text).Value = textBox1.Text;
            command.Parameters.Add("@razd", MySqlDbType.VarChar).Value = textBox3.Text;

            adapter.SelectCommand = command;
            adapter.Fill(table);

            if (table.Rows.Count > 0)
            {
                MessageBox.Show("Такая тема уже есть");
                return true;
            }
            else
                return false;
        }

        public Boolean check1() // проверка есть ли такая лекция в бд
        {
            DataBase db = new DataBase();

            DataTable table = new DataTable();

            MySqlDataAdapter adapter = new MySqlDataAdapter();
            MySqlCommand command = new MySqlCommand("SELECT * FROM `лекции` WHERE `Содержание` = @sod AND `Раздел` = @razd1", db.getConnection());
            command.Parameters.Add("@sod", MySqlDbType.Text).Value = textBox2.Text;
            command.Parameters.Add("@razd1", MySqlDbType.VarChar).Value = textBox3.Text;

            adapter.SelectCommand = command;
            adapter.Fill(table);

            if (table.Rows.Count > 0)
            {
                MessageBox.Show("Такая лекция уже есть");
                return true;
            }
            else
                return false;
        }
    } 
}